
Foreman - Tracker #30986

Host Details Page Feature

10/05/2020 12:41 PM - Amir Fefer

Status: New % Done: 69%

Priority: Normal   

Assignee: Amir Fefer   

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

Subtasks:

Feature # 30566: display host's status and properties on status click from the hosts page New

Feature # 30791: Add tab extension ability to the new host details page Closed

Feature # 30978: Add global css registration from plugins Closed

  Bug # 31277: CSS files need optimizations (removing duplicates, minifying) Closed

Feature # 30979: Add extended tab rendering after it being active  New

Feature # 30980: Add skelaton loading for tabs in host details page New

Bug # 30981: Add action items dropdown extension mechanism in host details page Closed

Bug # 30982: Align the kebab actions item in the host details page more to the right area New

Feature # 30983: Add elipsis and tooltip to cards items in the new host details page New

Bug # 30984: The time ago  creation line is not translated in the new host details page Closed

Bug # 30985: Host's title should be align all over the row container in the new host de... Resolved

Bug # 30987: Add card template extension mechanism for host details page Closed

Refactor # 31128: Replace the new host details properties card with pf4 extension compo... Closed

Bug # 31231: Skeleton loading continue infinitely  if the value is undefined Closed

Feature # 31316: Host details page pf4 cards should have an empty state New

Feature # 31444: Add host's statuses including sub-statuses to the host details page Closed

Feature # 31619: Add host's sub-statuses endpoint Resolved

Bug # 32691: card props in host details page should be overridable  Closed

Feature # 32692: Host details cards should support  dropdown menu Closed

Refactor # 32820: Recent audits card needs a design Closed

Feature # 32999: Add console to the host details page Closed

Feature # 33010: Add details tab to the host details page Closed

Feature # 33268: Add power options dropdown to details card Closed

Bug # 33530: Loading is not handled properly in 'Host Status' card New

Related issues:

Related to Foreman - Feature #32398: Make tabs on new Host detail page routable Closed

History

#1 - 12/03/2020 04:16 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Amir Fefer

#2 - 12/05/2020 08:43 PM - Tomer Brisker

- Status changed from Ready For Testing to New

#3 - 01/13/2021 11:42 PM - The Foreman Bot
- Status changed from New to Ready For Testing

#4 - 01/18/2021 08:46 AM - Tomer Brisker

- Status changed from Ready For Testing to New

#5 - 04/22/2021 02:46 PM - Ondřej Pražák

- Related to Feature #32398: Make tabs on new Host detail page routable added
